//---------------------------------------------------
// Project: Neverbeast
// Language: MQL4
// Type: Indicator
// Author: Ji Bloch
// Company: Home
// Copyright: Copyright  2015
// Created: 11. 3. 2015
//---------------------------------------------------
#property indicator_chart_window
#property indicator_buffers 4
#property indicator_color1 White
#property indicator_width1 1
#property indicator_color2 White
#property indicator_width2 1
#property indicator_color3 Lime
#property indicator_width3 1
#property indicator_color4 Red
#property indicator_width4 1
//---------------------------------------------------
extern bool Signal_options = true;
extern int Period = 2;
extern int Pips = 15;
extern bool Broker_options = true;
extern string Start = "08:05";
extern string End = "21:55";
extern int Investment = 20;
extern int Payout = 82;
extern int ExpTime = 10;
extern double Ratio = 25.35;
extern string Stock = ",-";
extern bool Graphic_options =true;
extern int ArrowCode = 225;
//---------------------------------------------------
double wins,ties,losses,total;
double WinBuffer[],LossBuffer[],Down[],Up[];
int LastBars = 0;
//---------------------------------------------------
int init(){
SetIndexLabel(0,"Bearish");SetIndexBuffer(0,Down);SetIndexStyle(0,DRAW_ARROW);SetIndexArrow(0,ArrowCode+1);SetIndexEmptyValue(0, EMPTY_VALUE);
SetIndexLabel(1,"Bullish");SetIndexBuffer(1,Up);SetIndexStyle(1,DRAW_ARROW);SetIndexArrow(1,ArrowCode);SetIndexEmptyValue(1, EMPTY_VALUE);
SetIndexLabel(2,"Win");SetIndexBuffer(2,WinBuffer);SetIndexStyle(2,DRAW_ARROW);SetIndexArrow(2,252);
SetIndexLabel(3,"Loss");SetIndexBuffer(3,LossBuffer);SetIndexStyle(3,DRAW_ARROW);SetIndexArrow(3,251);
  return(0);
}
//---------------------------------------------------
int deinit(){

  return(0);
}
//---------------------------------------------------
int start(){
int NeedBarsCounted;
if (LastBars == Bars) return(0);
NeedBarsCounted = Bars - LastBars;
LastBars = Bars;
if (NeedBarsCounted == Bars)NeedBarsCounted--;
for (int i = NeedBarsCounted; i >= 1; i--){
//---------------------------------------------------
string TimeCur = TimeToStr(Time[i], TIME_MINUTES);
string Symbol = Symbol();
//---------------------------------------------------
double op0 = iOpen(NULL,0,i+0);
double cl0 = iClose(NULL,0,i+0);
//---------------------------------------------------
double x = 0.00001;
if(Symbol=="USDJPY"||Symbol=="GBPJPY"||Symbol=="EURJPY")x = 0.001;
double Pips = Pips*x;

//---------------------------------------------------
if(TimeCur>Start&&TimeCur<End)
{
//---------------RULES FOR SIGNAL DOWN---------------
if(Pips<MathAbs(op0-cl0))
{
//---------------------------------------------------
Down[i] = High[i] + 5 * Point;                              
if(Open[i-1]>Close[i-ExpTime]){WinBuffer[i-ExpTime] = High[i-ExpTime] + 5 * Point; wins++; total++;}
else if(Open[i-1] == Close[i-ExpTime]){LossBuffer[i-ExpTime]=High[i-ExpTime] + 5 * Point; ties++; total++;}
else{LossBuffer[i-ExpTime] = High[i-ExpTime] + 5 * Point; losses++; total++;}
}
//----------------RULES FOR SIGNAL UP----------------
if(Pips<MathAbs(op0-cl0))
{
//---------------------------------------------------
Up[i] = Low[i] - 5 * Point;
if(Open[i-1]<Close[i-ExpTime]){WinBuffer[i-ExpTime] = Low[i-ExpTime] - 5 * Point; wins++; total++;}
else if(Open[i-1]==Close[i-ExpTime]){LossBuffer[i-ExpTime] = High[i-ExpTime] + 5 * Point; ties++; total++;}
else{LossBuffer[i-ExpTime] = Low[i-ExpTime] - 5 * Point; losses++; total++;}
}}}
//---------------------------------------------------
double percentage = 0;
if(wins!=0&&total!=0) percentage = (wins/total)*100;
double profit = ((wins*Investment*Payout*0.01)-((losses+ties)*Investment))*Ratio;
Comment(wins+":"+ties+":"+losses+" ["+total+"] "+NormalizeDouble(percentage,2)+"% "+NormalizeDouble(profit,2)+Stock);
  return(0);
}

